#!/bin/zsh

if [ -z "$PREFIX" ]; then
	PREFIX=$HOME
	MAKEZPROFILE=yes
else
	MAKEZPROFILE=no
fi

if [ ! -d "$PREFIX" ]; then
	if [ ! mkdir $PREFIX ]; then
		echo
		echo "ERROR: $PREFIX doesn't exist and we can't make it"
		echo
		exit 1
	fi
fi

cd $PREFIX
if [ ! -e cvs ]; then
	mkdir cvs
fi
cd cvs
cat > setvars.sh <<'EOF'
export CVSROOT=':pserver:jirka@cvs.labs.redhat.com:/cvs/gnome'
if ! fgrep -q cvs.labs.redhat.com ~/.cvspass; then
	cvs login
fi
EOF

source setvars.sh

if [ x$MAKEZPROFILE = xyes ]; then
	if ! fgrep -q 'export PATH=$HOME/foo/bin:$PATH' ~/.zprofile ; then
		cat >> ~/.zprofile <<'EOF'
export PATH=$HOME/foo/bin:$PATH
EOF
	fi

	if ! fgrep -q 'export LD_LIBRARY_PATH=$HOME/foo/lib:$LD_LIBRARY_PATH' ~/.zprofile; then
	cat >> ~/.zprofile <<'EOF'
export LD_LIBRARY_PATH=$HOME/foo/lib:$LD_LIBRARY_PATH
EOF
	fi
fi

echo
echo getting/making autoconf/automake/gettext/libtool
echo

#source ~/.zprofile
export PATH=$PREFIX/foo/bin:$PATH
export LD_LIBRARY_PATH=$PREFIX/foo/lib:$LD_LIBRARY_PATH

mkdir $PREFIX/foo

if [ ! -e autoconf-2.13.tar.gz ]; then
	wget 'ftp://ftp.freesoftware.com/pub/sourceware/autoconf/autoconf-2.13.tar.gz'
fi

if [ ! -e automake-1.4.tar.gz ]; then
	wget 'ftp://ftp.freesoftware.com/pub/sourceware/automake/automake-1.4.tar.gz'
fi

if [ ! -e gettext-0.10.35.tar.gz ]; then
	wget 'ftp://ftp.freesoftware.com/pub/sourceware/gettext/releases/gettext-0.10.35.tar.gz'
fi

if [ ! -e libtool-1.3.5.tar.gz ]; then
	wget 'ftp://ftp.gnu.org/pub/gnu/libtool/libtool-1.3.5.tar.gz'
fi

cd $PREFIX/foo

for n in autoconf-2.13 automake-1.4 libtool-1.3.5 gettext-0.10.35; do
	if [ ! -e ~/${n}.tar.gz ]; then
		echo ***
		echo Cant get $n
		echo ***
		exit 1
	fi
	tar xzvf ~/${n}.tar.gz
	cd $PREFIX/foo/$n
	./configure --prefix=$PREFIX/foo
	make
	make install
	cd $PREFIX/foo
	rm -fR $n
done

echo
if [ x$MAKEZPROFILE = xyes ]; then
	echo Make sure to source ~/.zprofile
else
	echo Make sure you set up your environment in $PREFIX
fi
echo
echo  All done
echo

